<html>
<head>
<meta http-equiv="Content-Type" content="text/html">
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<meta name="Author" content="Michael Mller">
<meta name="Publisher" content="Michael Mller">
<meta name="Copyright" content="netz2k.de">
<meta name="Keywords" content="pagerank, google, suchmaschine, php, script, page rank, pagerank ermitteln, Dreamcodes">
<meta name="Description" content="Mit diesem PHP Script knnen Sie den Google Pagerank Ihrer Homepage ermittelen ohne die Toolbar von Google nutzen zu mssen.">
<meta name="Page-topic" content="Netz2K Pagerank Tool">
<meta name="Audience" content="Alle">
<meta name="Content-language" content="DE">
<meta name="Robots" content="INDEX,FOLLOW">
<TITLE>Netz2K - PHP Pagerank</TITLE>

<h1><font color="#000000">PHP Pagerank</font></h1>

</head>

<body>
<font color="#000080" face="Arial" size=3>
Das Google <a href="http://pr.efactory.de/d-index.shtml">PageRank</a> beurteilt die Wertung aller <a href="http://www.dreamcodes.de/">Links</a> die auf eine Seite zeigen und beurteilt die Seite nach dem Gesamtwert aller Verweise.<br>
Nicht nur die <a href="http://www.dreamcodes.de">Startseite</a>, oft als Homepage bezeichnet, sondern jede einzelne Seite, die von <a href="http://www.suchmaschinen-netz.de/Reviews-index-req-showcontent-id-1.html">Google</a> indexiert wurde, ist nach dem PageRank Verfahren bewertet.
Im PageRank Verfahren werden smtliche Links beurteilt, interne und externe Links.
<br><br>
<font color="#800000" face="Arial" size=2>
<b>Dieses Script dient nur zu Demonstrationszwecken, wie man den Pagerank von Google auch ohne Toolbar anzeigen kann.</b><br><br>

</font>

</body>
</html>


<font color="#FF0000" face="Arial" size=5>
<?php 

// +-------------------------------------------------------------------------+
// + PHP Pagerank V1.0 von Michael Mller (m-mueller@arcor.de)               +
// + http://www.netz2k.de - Suchdienste + Scripte                            +  
// +-------------------------------------------------------------------------+

define('GMAG', 0xE6359A60); 

function zeroFill($a, $b) 
{ 
    $z = hexdec(80000000); 
        if ($z & $a) 
        { 
            $a = ($a>>1);     $a &= (~$z); 
            $a |= 0x40000000; 
            $a = ($a>>($b-1)); 
        } 
        else 
        {        $a = ($a>>$b); 
        } 
        return $a; 
} 


function mix($a,$b,$c) { 
  $a -= $b; $a-= $c; $a ^= (zeroFill($c,13)); 
  $b -= $c; $b -= $a; $b ^= ($a<<8);$c -= $a; $c -= $b; $c ^= (zeroFill($b,13)); 
  $a -= $b; $a -= $c;$a ^= (zeroFill($c,12));$b -=$c; $b -= $a; $b ^= ($a<<16); 
  $c -= $a; $c -= $b; $c ^= (zeroFill($b,5)); 
  $a -= $b; $a -= $c; $a ^= (zeroFill($c,3));   
  $b -= $c; $b -= $a; $b ^= ($a<<10); 
  $c -= $a; $c -= $b; $c ^= (zeroFill($b,15)); 
   
  return array($a,$b,$c); 
} 

function GCH($url, $length=null, $init=GMAG) { 
    if(is_null($length)) { 
        $length = sizeof($url); 
    } 
    $a = $b = 0x9E3779B9; 
    $c = $init; 
    $k = 0; 
    $len = $length; 
    while($len >= 12) { 
        $a += ($url[$k+0] +($url[$k+1]<<8) +($url[$k+2]<<16) +($url[$k+3]<<24)); 
        $b += ($url[$k+4] +($url[$k+5]<<8) +($url[$k+6]<<16) +($url[$k+7]<<24)); 
        $c+= ($url[$k+8] +($url[$k+9]<<8) +($url[$k+10]<<16)+($url[$k+11]<<24)); 
        $mix = mix($a,$b,$c); 
        $a =$mix[0]; $b = $mix[1]; $c = $mix[2]; 
        $k += 12; 
        $len -= 12; 
    } 

    $c += $length; 
    switch($len)               
    { case 11: $c+=($url[$k+10]<<24); 
        case 10: $c+=($url[$k+9]<<16); 
        case 9 :$c+=($url[$k+8]<<8);case 8 : $b+=($url[$k+7]<<24); 
        case 7 : $b+=($url[$k+6]<<16); 
        case 6 : $b+=($url[$k+5]<<8); 
        case 5 : $b+=($url[$k+4]); 
        case 4 : $a+=($url[$k+3]<<24); 
        case 3 : $a+=($url[$k+2]<<16); 
        case 2 : $a+=($url[$k+1]<<8); 
        case 1 : $a+=($url[$k+0]); 
    } 
    $mix = mix($a,$b,$c); 
    return $mix[2]; 
} 

function strord($string) { 
    for($i=0;$i<strlen($string);$i++) { 
        $result[$i] = ord($string{$i}); 
    } 
    return $result;} 

function getPR($_url) { 
    $url = 'info:'.$_url; 
    $ch = GCH(strord($url)); 
    $url='info:'.urlencode($_url); 
    $pr = file("http://www.google.com/search?client=navclient-auto&ch=6$ch&ie=UTF-8&oe=UTF-8&features=Rank&q=$url"); 
    $pr_str = implode("", $pr);
    return substr($pr_str,strrpos($pr_str, ":")+1); 
} 


echo "<b>Der Pagerank dieser Homepage ist:".getPR("http://www.netz2k.de");?>
<br><br>
<img src="tools.jpg" alt="Tools"></img>
<br><br>
<font color="#000080" face="Arial" size=1>Copyright (C) by <a href="http://www.netz2k.de">netz2k.de</a></font>